curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'name="111"'
{
"code": 1,
"message": "Success",
"data": {
"id": "7812"
}
}
{
"code": -1,
"message": "error msg",
}
Voice
Add Voice for TTS
Create a new custom voice for Text-to-Speech feature(❗❗❗File-related interfaces are not supported, please use interface tools for requests.)
POST
/
sound_clone
/
api
/
v1
/
voices
/
tts
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'name="111"'
{
"code": 1,
"message": "Success",
"data": {
"id": "7812"
}
}
{
"code": -1,
"message": "error msg",
}
Header
string
required
You can copy your api-key on https://www.myvocal.ai/profile after you have subscribed to Pro or Business Plan.
Body
string
required
Please do not exceed 32 characters in length.
Files
required
Please provide mp3/wav/m4a files. A single file cannot exceed 10MB, and up to 25 files can be uploaded.
Response
number
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
object
Includes specific data.
Show Toggle object
Show Toggle object
string
When you need to use TTS or other features, voiceId needs to be provided.
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'name="111"'
{
"code": 1,
"message": "Success",
"data": {
"id": "7812"
}
}
{
"code": -1,
"message": "error msg",
}
